=== debian/changelog ===
guake (3.0.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #894061)
  * debian/copyright
    + Use HTTPS in Format url.
  * debian/patches
    + Refresh 02_use_correct_data_path.diff patch.
    + Remove 03_remove_description_field_from_setup.diff patch.
      + Now no causes FTBFS.

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 28 Mar 2018 10:36:44 -0500

guake (3.0.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #888069, #888093)
  * debian/control
    + Remove autoconf from B-D.
    + Add gir1.2-notify-0.7 and python3-cairo in Depends.
    + Change libutempter0 to Suggests.
    + Add numix-gtk-theme in Suggests.
  * debian/patches
    + Refresh 02_use_correct_data_path.diff patch.
  * Install News file as Changelog.

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 26 Jan 2018 07:55:09 -0500

guake (3.0.2-2) unstable; urgency=medium

  * d/control
    + Add libglib2.0-bin in Depends.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 20 Jan 2018 20:05:40 -0500

guake (3.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #887414)
  * debian/control
    + Change arch to all because now guake is pure python app.
    + Remove unnecessary Depends and Build-Depends. (Closes: #887429)
    + Add proper Depends and Build-Depends.
  * debian/patches
    + Remove 01_fix_desktop_file.diff patch.
      + Merge with upstream.
    + Refresh 02_use_correct_data_path.diff patch.
    + Remove blank line in series file.
  * update guake.docs file.

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 15 Jan 2018 20:56:59 -0500
