=== debian/control ===
Source: guake
Section: x11
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
	       python3-setuptools,
	       python3-pbr
X-Python3-Version: >= 3.0
Standards-Version: 4.1.3
Homepage: http://guake-project.org
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/

Package: guake
Architecture: all
Depends: python3-pbr,
	 python3-cairo,
	 python3-gi (>= 3.26.1),
	 python3-dbus (>= 1.2.4),
	 gir1.2-notify-0.7 (>= 0.7.7),
	 gir1.2-vte-2.91 (>= 0.50.2),
	 gir1.2-gtk-3.0 (>= 3.22.26),
	 gir1.2-keybinder-3.0 (>= 0.3.2),
	 gir1.2-glib-2.0 (>= 1.54.1),
	 gir1.2-pango-1.0 (>= 1.40.14),
	 libglib2.0-bin,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: libutempter0, numix-gtk-theme
Description: Drop-down terminal for GNOME Desktop Environment
 Guake is a drop-down terminal for GNOME Desktop Environment, so you just
 need to press a key to invoke him, and press again to hide.
 Guake supports hotkeys, tabs, background transparent, etc.
