=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=guake

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf Guake.egg-info
	rm -f guake/data/gschemas.compiled
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst
