## guake 3.2.2

=== debian/changelog ===
guake (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Update Vcs-* fields, the repo was migrated to salsa.
    + Bump Standards-Version 4.1.4 (no changes).
    + Remove X-Python3-Version field.
    + Remove some whitespaces.
    + Add python3-mock in B-D.
  * debian/patches
    + Refresh 02_use_correct_data_path.diff patch.
    + Remove 03_remove_description_field_from_setup.diff file.
  * debian/rules
    + Execute generate-paths before build.
    + Remove path.py file, is autogenerated during installation.
  * Add Upstream metadata file.
  * Update guake.install file.

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 31 May 2018 21:56:41 -0500
