=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                dh-python,
                python3-all,
 	       python3-setuptools,
-	       python3-pbr
-X-Python3-Version: >= 3.0
-Standards-Version: 4.1.3
+	       python3-pbr,
+	       python3-mock
+Standards-Version: 4.1.4
 Homepage: http://guake-project.org
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/guake/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/guake/
+Vcs-Git: https://salsa.debian.org/debian/guake.git
+Vcs-Browser: https://salsa.debian.org/debian/guake
 
 Package: guake
 Architecture: all
