=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,12 @@
 override_dh_auto_clean:
 	rm -rf Guake.egg-info
 	rm -f guake/data/gschemas.compiled
+	rm -rf guake/paths.py
 	dh_auto_clean
+
+override_dh_auto_build:
+	make generate-paths
+	dh_auto_build
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.rst
