=== debian/changelog ===
guake (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add guake-toggle manpage.
  * debian/patches
    + Add 01_dont_install_mo_files.diff
      + po files install from rules.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 14 Jul 2018 11:27:10 -0500

guake (3.2.2-2) unstable; urgency=medium

  * debian/rules
    + Install Localization files. (Closes: #900687)
  * debian/patches
    + Remove 02_use_correct_data_path.diff patch.
      + The Makefile variables are set from rules.

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 06 Jun 2018 19:29:20 -0500
