=== debian/rules ===
#!/usr/bin/make -ef
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_NAME=guake
export DESTDIR=$(CURDIR)/debian/guake/
export DEV_SCHEMA_DIR=/usr/share/guake/data
export DEV_GLADE_DIR=/usr/share/guake/data
export DEV_IMAGE_DIR=/usr/share/guake/data/pixmaps
export DEV_GUAKE_THEME_DIR=/usr/share/guake/data
export prefix=/usr

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf Guake.egg-info
	rm -f guake/data/gschemas.compiled
	rm -rf guake/paths.py
	find po -name "*.mo" -delete
	dh_auto_clean

override_dh_auto_build:
	make generate-paths generate-mo
	dh_auto_build

override_dh_auto_install:
	make install-locale
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS.rst
