## guake 3.4.0

=== Makefile ===
--- 
+++ 
@@ -51,9 +51,13 @@
 all: clean dev style checks dists test docs
 
 dev: clean-ln-venv ensure-pip pipenv-install-dev requirements ln-venv setup-githook prepare-install
+dev-travis: ensure-pip-system pipenv-install-dev requirements ln-venv setup-githook prepare-install
 
 ensure-pip:
 	./scripts/bootstrap-dev-pip.sh
+
+ensure-pip-system:
+	./scripts/bootstrap-dev-pip.sh system
 
 dev-no-pipenv: clean
 	virtualenv --python $(PYTHON_INTERPRETER) .venv
@@ -156,6 +160,9 @@
 reinstall:
 	sudo make uninstall && make && sudo make install && $(DESTDIR)$(bindir)/guake
 
+reinstall-v:
+	sudo make uninstall && make && sudo make install && $(DESTDIR)$(bindir)/guake -v
+
 compile-glib-schemas-dev: clean-schemas
 	glib-compile-schemas --strict $(DEV_DATA_DIR)
 
@@ -191,16 +198,17 @@
 dists: update-po requirements prepare-install rm-dists sdist bdist wheels
 build: dists
 
-sdist:
-	pipenv run python setup.py sdist
+sdist: generate-paths
+	export SKIP_GIT_SDIST=1 && pipenv run python setup.py sdist
 
 rm-dists:
 	rm -rf build dist
 
-bdist:
-	pipenv run python setup.py bdist
-
-wheels:
+bdist: generate-paths
+	# pipenv run python setup.py bdist
+	@echo "Ignoring build of bdist package"
+
+wheels: generate-paths
 	pipenv run python setup.py bdist_wheel
 
 wheel: wheels
@@ -208,6 +216,9 @@
 run-local: compile-glib-schemas-dev
 	pipenv run ./scripts/run-local.sh
 
+run-local-prefs: compile-glib-schemas-dev
+	pipenv run ./scripts/run-local-prefs.sh
+
 run-fr: compile-glib-schemas-dev
 	LC_ALL=fr_FR.UTF8 pipenv run ./scripts/run-local.sh
 
@@ -222,14 +233,23 @@
 test-coverage:
 	pipenv run py.test -v --cov $(MODULE) --cov-report term-missing
 
-test-pip-install: wheel generate-paths
+test-pip-install-sdist: clean-pip-install-local generate-paths sdist
 	@echo "Testing installation by pip (will install on ~/.local)"
+	pip install --upgrade -vvv --user $(shell ls -1 dist/*.tar.gz | sort | head -n 1)
+	ls -la ~/.local/share/guake
+	~/.local/bin/guake
+
+clean-pip-install-local:
 	@rm -rfv ~/.local/guake
+	@rm -rfv ~/.local/bin/guake
 	@rm -rfv ~/.local/lib/python3.*/site-packages/guake
 	@rm -rfv ~/.local/share/guake
+
+test-pip-install-wheel: clean-pip-install-local generate-paths wheel
+	@echo "Testing installation by pip (will install on ~/.local)"
 	pip install --upgrade -vvv --user $(shell ls -1 dist/*.whl | sort | head -n 1)
 	ls -la ~/.local/share/guake
-	~/.local/bin/guake
+	~/.local/bin/guake -v
 
 sct: style check update-po requirements test
 
@@ -264,7 +284,7 @@
 
 
 update:
-	pipenv update
+	pipenv update --clear
 	pipenv install --dev
 
 
@@ -356,25 +376,3 @@
 			   	echo "Skipping .desktop files, is your gettext version < 0.19.1?" && \
 				cp $(DEV_DATA_DIR)/guake-prefs.template.desktop $(DEV_DATA_DIR)/guake-prefs.desktop)
 
-generate-paths:
-	@echo "Generating path.py..."
-	@cp -f guake/paths.py.in guake/paths.py
-	@# Generic
-	@sed -i -e 's|{{ LOGIN_DESTOP_PATH }}|""|g' guake/paths.py
-	@sed -i -e 's|{{ AUTOSTART_FOLDER }}|""|g' guake/paths.py
-	@# Dev environment:
-	@sed -i -e 's|{{ LOCALE_DIR }}|get_default_locale_dir()|g' guake/paths.py
-	@sed -i -e 's|{{ IMAGE_DIR }}|get_default_image_dir()|g' guake/paths.py
-	@sed -i -e 's|{{ GUAKE_THEME_DIR }}|get_default_theme_dir()|g' guake/paths.py
-	@sed -i -e 's|{{ GLADE_DIR }}|get_default_glade_dir()|g' guake/paths.py
-	@sed -i -e 's|{{ SCHEMA_DIR }}|get_default_schema_dir()|g' guake/paths.py
-
-reno:
-	pipenv run reno new $(SLUG) --edit
-
-reno-lint:
-	pipenv run reno -q lint
-
-release-note: reno-lint release-note-news release-note-github
-
-release-note-news: reno-lint
