=== debian/changelog ===
guake (3.4.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #910636)
  * debian/control
    + Set libutempter0 as Depends.
    + Bump Standards-Version 4.2.1 (no changes).
  * debian/patches
    + Refresh 01_dont_install_mo_files.diff patch.
    + Add 02_fix_data_dir_path.diff patch.
      + Set correct install path for Debian Systems.
  * debian/rules
    + Remove some exports because aren't necessary

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 01 Oct 2018 22:37:13 -0500
