=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	       python3-setuptools,
 	       python3-pbr,
 	       python3-mock
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://guake-project.org
 Vcs-Git: https://salsa.debian.org/debian/guake.git
 Vcs-Browser: https://salsa.debian.org/debian/guake
@@ -26,10 +26,11 @@
 	 gir1.2-glib-2.0 (>= 1.54.1),
 	 gir1.2-pango-1.0 (>= 1.40.14),
 	 libglib2.0-bin,
+	 libutempter0,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Suggests: libutempter0, numix-gtk-theme
+Suggests: numix-gtk-theme
 Description: Drop-down terminal for GNOME Desktop Environment
  Guake is a drop-down terminal for GNOME Desktop Environment, so you just
  need to press a key to invoke him, and press again to hide.
