=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
 export PYBUILD_NAME=guake
 export DESTDIR=$(CURDIR)/debian/guake/
-export DEV_SCHEMA_DIR=/usr/share/guake/data
-export DEV_GLADE_DIR=/usr/share/guake/data
-export DEV_IMAGE_DIR=/usr/share/guake/data/pixmaps
-export DEV_GUAKE_THEME_DIR=/usr/share/guake/data
 export prefix=/usr
 
 %:
